package repository

import "be.ems/src/modules/network_element/model"

// INeHost 网元主机连接 数据层接口
type INeHost interface {
	// SelectPage 根据条件分页查询字典类型
	SelectPage(query map[string]any) map[string]any

	// SelectList 根据实体查询
	SelectList(neHost model.NeHost) []model.NeHost

	// SelectByIds 通过ID查询
	SelectByIds(hostIds []string) []model.NeHost

	// Insert 新增信息
	Insert(neHost model.NeHost) string

	// Update 修改信息
	Update(neHost model.NeHost) int64

	// DeleteByIds 批量删除网元主机连接信息
	DeleteByIds(hostIds []string) int64

	// CheckUniqueNeHost 校验主机是否唯一
	CheckUniqueNeHost(neHost model.NeHost) string
}
